Package generic.util

# Class FileLocker

java.lang.Object
generic.util.FileLocker

Direct Known Subclasses:
  `ChannelLocker`

public class FileLocker extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Properties`
  `createdLockProperties`
  `protected final Properties`
  `existingLockProperties`
  `protected final String`
  `existingLockType`
  `protected boolean`
  `isLocked`
  `protected final File`
  `lockFile`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FileLocker(File lockFile)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canForceLock()`
  `protected boolean`
  `createLockFile()`
  `boolean`
  `forceLock()`
  `String`
  `getExistingLockFileInformation()`
  `protected String`
  `getLockType()`
  `boolean`
  `isLocked()`
  `boolean`
  `lock()`
  `void`
  `release()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### lockFile

    protected final File lockFile

  - ### existingLockProperties

    protected final Properties existingLockProperties

  - ### createdLockProperties

    protected Properties createdLockProperties

  - ### existingLockType

    protected final String existingLockType

  - ### isLocked

    protected boolean isLocked

- ## Constructor Details

  - ### FileLocker

    protected FileLocker(File lockFile)

- ## Method Details

  - ### lock

    public boolean lock()

  - ### isLocked

    public boolean isLocked()

  - ### release

    public void release()

  - ### canForceLock

    public boolean canForceLock()

  - ### forceLock

    public boolean forceLock()

  - ### getExistingLockFileInformation

    public String getExistingLockFileInformation()

  - ### getLockType

    protected String getLockType()

  - ### createLockFile

    protected boolean createLockFile()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`